Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Nieuwere OpenGL drivers?  (gelezen 3675 keer)

Offline BailHope

  • Lid
    • Techneut
  • Steunpunt: Nee
Nieuwere OpenGL drivers?
« Gepost op: 2008/07/05, 16:13:39 »
Volgens de wineapp.db is het mogelijk om "Star Wars: Knights of the Old Republic" te draaien met de laatste versie van Wine. De installatie verloopt prima.

Na installatie start het spel wel op maar ik krijg geen goede kwaliteit. Alles is wit met zwarte letters. Het spel draait prima onder Windows dus ik weet dat het moet werken.

Het spel heeft een optie "scan hardware", en nadat ik dit doe wordt er aangeduid dat ik geen goede OpenGL drivers heb. Om precies te zijn wordt er aangeduid dat ik OpenGL 1.3 heb, terwijl OpenGL 1.4 nodig is om het spel te kunnen spelen.
De precieze foutmelding is: "Non-Windows Generic OpenGL 1.4.0 drivers required. Found Tungsten Graphics, Inc - 1.3 Mesa 7.03-rc2"

Hoe kan ik nieuwere drivers installeren? Ik ben dit spel met Wine aan het draaien, moet ik deze drivers dan onder Ubuntu of onder Wine installeren?
En waar vind ik deze? Synaptic was geen oplossing en Google verwart me enkel verder.

Bedankt voor jullie hulp!
Ubuntu user #12046
Mijn blog voor techneuten: http://techneut.wordpress.com
Voor de professionele IT'er: http://it-potato.blogspot.com

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Nieuwere OpenGL drivers?
« Reactie #1 Gepost op: 2008/07/05, 16:17:17 »
Die OpenGL drivers zitten hoogstwaarschijnlijk in de drivers van je grafische kaart.
Welke kaart heb je en welke drivers heb je geïnstalleerd?

Offline BailHope

  • Lid
    • Techneut
  • Steunpunt: Nee
Nieuwere OpenGL drivers?
« Reactie #2 Gepost op: 2008/07/05, 16:21:29 »
via lspci | grep vga krijg ik het volgende te zien:
Citaat
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04) (prog-if 00 [VGA controller])
De driver die ik heb geïnstalleerd was in vorige versies steeds i810, als ik daar nu achter zoek via Synaptic krijg ik:
xserver-xorg-video-i810
Ubuntu user #12046
Mijn blog voor techneuten: http://techneut.wordpress.com
Voor de professionele IT'er: http://it-potato.blogspot.com

Offline Math.

  • Lid
    • http://www.open-design.nl/
  • Steunpunt: Nee
Nieuwere OpenGL drivers?
« Reactie #3 Gepost op: 2008/07/06, 15:07:34 »
Mja, dat is ook het enige positieve aan Windows, DirectX... Maja, OpenGL werkt opzich ook prima, het is alleen niet zo goed als DirectX. :(
Maar goed, dan maar beter OpenGL voor Linux dan helemaal niks hè. :P

Offline BailHope

  • Lid
    • Techneut
  • Steunpunt: Nee
Nieuwere OpenGL drivers?
« Reactie #4 Gepost op: 2008/07/11, 21:24:42 »
Okee, na wat nakijken heb ik door dat Wine mijn videokaart verkeerd herkent. Het spel geeft aan dat ik met een onbekende videokaart werk.

Kan ik hier iets tegen doen?
Ubuntu user #12046
Mijn blog voor techneuten: http://techneut.wordpress.com
Voor de professionele IT'er: http://it-potato.blogspot.com